"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AccountBalanceDelta = exports.Balanceobsv = void 0;
const aw_antelope_1 = require("@alien-worlds/aw-antelope");
class Balanceobsv {
    balanceDeltas;
    dacId;
    id;
    constructor(balanceDeltas, dacId, id) {
        this.balanceDeltas = balanceDeltas;
        this.dacId = dacId;
        this.id = id;
    }
    rest;
    toJSON() {
        return {
            balanceDeltas: this.balanceDeltas,
            dacId: this.dacId,
        };
    }
    static create(balanceDeltas, dacId, id, rest) {
        const entity = new Balanceobsv(balanceDeltas, dacId, id);
        entity.rest = rest;
        return entity;
    }
    static getDefault() {
        return new Balanceobsv([], '');
    }
}
exports.Balanceobsv = Balanceobsv;
class AccountBalanceDelta {
    account;
    balanceDelta;
    id;
    constructor(account, balanceDelta, id) {
        this.account = account;
        this.balanceDelta = balanceDelta;
        this.id = id;
    }
    rest;
    toJSON() {
        return {
            account: this.account,
            balanceDelta: this.balanceDelta,
        };
    }
    static create(account, balanceDelta, id, rest) {
        const entity = new AccountBalanceDelta(account, balanceDelta, id);
        entity.rest = rest;
        return entity;
    }
    static getDefault() {
        return new AccountBalanceDelta('', aw_antelope_1.Asset.getDefault());
    }
}
exports.AccountBalanceDelta = AccountBalanceDelta;
