"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AccountStakeDelta = exports.Stakeobsv = void 0;
const aw_antelope_1 = require("@alien-worlds/aw-antelope");
class Stakeobsv {
    stakeDeltas;
    dacId;
    id;
    constructor(stakeDeltas, dacId, id) {
        this.stakeDeltas = stakeDeltas;
        this.dacId = dacId;
        this.id = id;
    }
    rest;
    toJSON() {
        return {
            stakeDeltas: this.stakeDeltas,
            dacId: this.dacId,
        };
    }
    static create(stakeDeltas, dacId, id, rest) {
        const entity = new Stakeobsv(stakeDeltas, dacId, id);
        entity.rest = rest;
        return entity;
    }
    static getDefault() {
        return new Stakeobsv([], '');
    }
}
exports.Stakeobsv = Stakeobsv;
class AccountStakeDelta {
    account;
    stakeDelta;
    unstakeDelay;
    id;
    constructor(account, stakeDelta, unstakeDelay, id) {
        this.account = account;
        this.stakeDelta = stakeDelta;
        this.unstakeDelay = unstakeDelay;
        this.id = id;
    }
    rest;
    toJSON() {
        return {
            account: this.account,
            stakeDelta: this.stakeDelta,
            unstakeDelay: this.unstakeDelay,
        };
    }
    static create(account, stakeDelta, unstakeDelay, id, rest) {
        const entity = new AccountStakeDelta(account, stakeDelta, unstakeDelay, id);
        entity.rest = rest;
        return entity;
    }
    static getDefault() {
        return new AccountStakeDelta('', aw_antelope_1.Asset.getDefault(), 0);
    }
}
exports.AccountStakeDelta = AccountStakeDelta;
