"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConfigRawMapper = exports.ConfigMongoMapper = void 0;
const aw_core_1 = require("@alien-worlds/aw-core");
const aw_storage_mongodb_1 = require("@alien-worlds/aw-storage-mongodb");
const entities_1 = require("../../domain/entities");
class ConfigMongoMapper extends aw_storage_mongodb_1.MongoMapper {
    constructor() {
        super();
        this.mappingFromEntity.set('timeMultiplier', {
            key: 'time_multiplier',
            mapper: (value) => value,
        });
    }
    toEntity(mongoModel) {
        const { time_multiplier, _id, ...rest } = mongoModel;
        return entities_1.Config.create(time_multiplier || 0, _id instanceof aw_storage_mongodb_1.MongoDB.ObjectId ? _id.toString() : undefined, rest);
    }
}
exports.ConfigMongoMapper = ConfigMongoMapper;
class ConfigRawMapper extends aw_core_1.MapperImpl {
    fromEntity(entity) {
        throw new Error('Method not implemented');
    }
    toEntity(rawModel) {
        const { time_multiplier, ...rest } = rawModel;
        return entities_1.Config.create(time_multiplier || 0, undefined, rest);
    }
}
exports.ConfigRawMapper = ConfigRawMapper;
