"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WeightsRawMapper = exports.WeightsMongoMapper = void 0;
const aw_core_1 = require("@alien-worlds/aw-core");
const aw_storage_mongodb_1 = require("@alien-worlds/aw-storage-mongodb");
const entities_1 = require("../../domain/entities");
class WeightsMongoMapper extends aw_storage_mongodb_1.MongoMapper {
    constructor() {
        super();
        this.mappingFromEntity.set('voter', {
            key: 'voter',
            mapper: (value) => value,
        });
        this.mappingFromEntity.set('weight', {
            key: 'weight',
            mapper: (value) => value,
        });
        this.mappingFromEntity.set('weightQuorum', {
            key: 'weight_quorum',
            mapper: (value) => value,
        });
    }
    toEntity(mongoModel) {
        const { voter, weight, weight_quorum, _id, ...rest } = mongoModel;
        return entities_1.Weights.create(voter || '', weight || 0, weight_quorum || 0, _id instanceof aw_storage_mongodb_1.MongoDB.ObjectId ? _id.toString() : undefined, rest);
    }
}
exports.WeightsMongoMapper = WeightsMongoMapper;
class WeightsRawMapper extends aw_core_1.MapperImpl {
    fromEntity(entity) {
        throw new Error('Method not implemented');
    }
    toEntity(rawModel) {
        const { voter, weight, weight_quorum, ...rest } = rawModel;
        return entities_1.Weights.create(voter || '', weight || 0, weight_quorum || 0, undefined, rest);
    }
}
exports.WeightsRawMapper = WeightsRawMapper;
