"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StkvtWorldsContractServiceImpl = void 0;
const aw_antelope_1 = require("@alien-worlds/aw-antelope");
class StkvtWorldsContractServiceImpl extends aw_antelope_1.AntelopeSmartContractServiceImpl {
    constructor(antelopeRpcSourceImpl, serviceUrl) {
        super(antelopeRpcSourceImpl, serviceUrl, 'stkvt.worlds');
    }
    async fetchConfig(options) {
        const table_key = '';
        const tableRowOptions = {
            ...options,
            code: 'stkvt.worlds',
            table: 'config',
            table_key,
        };
        return options?.limit > 0
            ? await this.getMany(tableRowOptions)
            : await this.getAll(table_key, tableRowOptions);
    }
    async fetchWeights(options) {
        const table_key = 'voter';
        const tableRowOptions = {
            ...options,
            code: 'stkvt.worlds',
            table: 'weights',
            table_key,
        };
        return options?.limit > 0
            ? await this.getMany(tableRowOptions)
            : await this.getAll(table_key, tableRowOptions);
    }
}
exports.StkvtWorldsContractServiceImpl = StkvtWorldsContractServiceImpl;
